Templates
Update Template Version
Updates an unpublished Template version.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
template_id*string
Unique identifier of the related template.
Format
uuidtemplate_version_id*string
Unique identifier of the related template version.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
settings?
Settings value for this resource.
components?array<||||||||>
Components value for this resource.
Response Body
application/json
curl -X PATCH "https://api.getmateo.com/v1/templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc", "version": 9007199254740991, "published": true, "settings": { "postal": { "duplex": true } }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}